* Generic session options - page and line size, no page breaks;
OPTIONS nonumber nodate nocenter pagesize=MAX linesize=120 formdlim=' ';                                            
* Kill default titles on output, open html output window; 
TITLE; ODS HTML;

* Create macro variable for folder location and SAS library;
* CHANGE THIS TO YOUR DIRECTORY;
%LET folder=/nfs/users/lesa/SAStest;
LIBNAME folder "&folder.";

* Example of how to import test excel data file;
PROC IMPORT DATAFILE="&folder./test.xls" OUT=work.testxls DBMS=XLS REPLACE; 
    SHEET="Sheet1"; 
    GETNAMES=YES; 
RUN;

* Example of how to import test SPSS data file;
PROC IMPORT DATAFILE="&folder./test.sav" OUT=work.testspss DBMS=SAV REPLACE; 
RUN;

* Example of how to generate output -- run descriptives on var1;
TITLE "Descriptives from test excel data for var1";
PROC MEANS DATA=work.testxls; 
    VAR var1;
RUN;
TITLE "Descriptives from test spss data for var1";
PROC MEANS DATA=work.testspss; 
    VAR var1;
RUN;

* Example of how to output testxls and testspss as SAS data sets;
DATA folder.testxls; 
    SET work.testxls;
RUN;
DATA folder.testspss; 
    SET work.testspss;
RUN;
